// swift-tools-version:5.0
import PackageDescription

let package = Package(
    name: "CapCollectorServer",
    dependencies: [
        .package(url: "https://github.com/vapor/vapor.git", .upToNextMinor(from: "3.3.0")),
        .package(url: "https://github.com/stephencelis/SQLite.swift", from: "0.12.0"),
    ],
    targets: [
        .target(name: "App", dependencies: ["Vapor", "SQLite"]),
        .target(name: "Run", dependencies: ["App"]),
        .testTarget(name: "AppTests", dependencies: ["App"]),
    ]
)

